#pragma once

#include "CoreMinimal.h"
#include "CoreBaseUserWidget.h"
#include "CoreCustomizationItemSlotWrapper.generated.h"

class UCoreStoreCustomizationItemWidget;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreCustomizationItemSlotWrapper : public UCoreBaseUserWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UCoreStoreCustomizationItemWidget* CustomizationItemWidget;

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void SetAsEmptySlot(const bool isEmptySlot);

	UFUNCTION(BlueprintPure)
	UCoreStoreCustomizationItemWidget* GetCustomizationItemWidget() const;

public:
	UCoreCustomizationItemSlotWrapper();
};

FORCEINLINE uint32 GetTypeHash(const UCoreCustomizationItemSlotWrapper) { return 0; }
